hbase-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Enis Soztutar (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (HBASE-11102) Document JDK versions supported by each release
Date Mon, 23 Jun 2014 17:43:28 GMT

    [ https://issues.apache.org/jira/browse/HBASE-11102?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14041029#comment-14041029
] 

Enis Soztutar commented on HBASE-11102:
---------------------------------------

Thanks for improving the docs. 1.0 will support 6,7, and 8, with jdk8 having the same not
tested enough annotation. 
I would prefer we do not list any versions before 0.94. Nobody should be using 0.92 and below
for anything serious. 

> Document JDK versions supported by each release
> -----------------------------------------------
>
>                 Key: HBASE-11102
>                 URL: https://issues.apache.org/jira/browse/HBASE-11102
>             Project: HBase
>          Issue Type: Sub-task
>          Components: documentation
>            Reporter: Enis Soztutar
>            Assignee: Misty Stanley-Jones
>             Fix For: 0.99.0
>
>         Attachments: HBASE-11102-1.patch, HBASE-11102.patch
>
>
> We can make use of a JDK version x HBase version matrix to explain which JDK version
is supported and required. 
> 0.94, 0.96, and 0.98 releases all support JDK6 and JDK7. For 1.0, there is a discussion
thread to decide whether to drop JDK6 support. 
> There has been some work to support JDK8. We can also document that. 



--
This message was sent by Atlassian JIRA
(v6.2#6252)

Mime
View raw message